Percona Server with XtraDB

mysql-test percona_mysqldump_innodb_optimize_keys fails

Reported by Partha Dutta on 2013-04-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Status tracked in 5.6
5.1
Undecided
Unassigned
5.5
Undecided
Unassigned
5.6
Undecided
Unassigned

Bug Description

On version 5.1.68-rel14.6 test percona_mysqldump_innodb_optimize_keys fails:

main.percona_mysqldump_innodb_optimize_keys [ fail ]
        Test ended at 2013-04-28 12:46:58

CURRENT_TEST: main.percona_mysqldump_innodb_optimize_keys
--- /home/pdutta/mysql/percona-5.1.68/x86_64-linux-gcc.opt/Percona-Server-5.1.68-rel14.6/mysql-test/r/percona_mysqldump_innodb_optimize_keys.result 2013-04-05 23:20:24.000000000 +0300
+++ /home/pdutta/mysql/percona-5.1.68/x86_64-linux-gcc.opt/Percona-Server-5.1.68-rel14.6/mysql-test/r/percona_mysqldump_innodb_optimize_keys.reject 2013-04-28 22:46:58.000000000 +0300
@@ -462,6 +462,7 @@
   PRIMARY KEY (`id`)
 ) ENGINE=InnoDB DEFAULT CHARSET=latin1;
 /*!40101 SET character_set_client = @saved_cs_client */;
+ALTER TABLE `t1` ADD KEY `c` (`c`);
 /*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

 /*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

mysqltest: Result content mismatch

 - saving '/home/pdutta/mysql/percona-5.1.68/x86_64-linux-gcc.opt/Percona-Server-5.1.68-rel14.6/mysql-test/var/log/main.percona_mysqldump_innodb_optimize_keys/' to '/home/pdutta/mysql/percona-5.1.68/x86_64-linux-gcc.opt/Percona-Server-5.1.68-rel14.6/mysql-test/var/log/main.percona_mysqldump_innodb_optimize_keys/'

Looking at https://bugs.launchpad.net/percona-server/+bug/989253 its fixed, and the percona_mysqldump_innodb_optimize_keys.result file should contain the patch, but it is not in the binary distribution nor the source code version.

Alexey Kopytov (akopytov) wrote :

Confirmed. The following revision is in the release branch for 5.1.68-14.6, but for some reasons is missing from the release binaries:

http://bazaar.launchpad.net/~percona-core/percona-server/release-5.1.68-14.6/revision/536.3.3

Alexey Kopytov (akopytov) wrote :

Setting to Fix Released, as it will be fixed "automatically" in the next release when the current trunk will be cloned off to a release branch. No action is required.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers